function Loads = import_loads(filename, dataLines)
%IMPORTFILE Import data from a text file
%  LOADS = IMPORTFILE(FILENAME) reads data from text file FILENAME for
%  the default selection.  Returns the numeric data.
%
%  LOADS = IMPORTFILE(FILE, DATALINES) reads data for the specified row
%  interval(s) of text file FILENAME. Specify DATALINES as a positive
%  scalar integer or a N-by-2 array of positive scalar integers for
%  dis-contiguous row intervals.
%
%  Example:
%  Loads = import_loads("/home/lglroman/Dropbox/SATIE/PSCC2024/codes/opf/PSO/ELVTF/European_LV_CSV/Loads.csv", [4, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 28-Jul-2023 13:58:15

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [4, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["Var1", "Var2", "VarName3", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10"];
opts.SelectedVariableNames = "VarName3";
opts.VariableTypes = ["string", "string", "double", "string", "string", "string", "string", "string", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var2", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var2", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10"], "EmptyFieldRule", "auto");

% Import the data
Loads = readtable(filename, opts);

%% Convert to output type
Loads = table2array(Loads);
end